Subject: Re: [PATCH] staging: r8712u: Fix kernel warning for improper call of del_timer_sync()

From: Greg KH <[email-masked]>
Date: Tue, 26 May 2015 09:35:55 -0700

On Tue, May 26, 2015 at 07:48:59AM -0700, Joe Perches wrote:
> On Tue, 2015-05-26 at 07:14 -0700, Greg KH wrote:
> > On Mon, May 25, 2015 at 10:07:59PM -0700, Joe Perches wrote:
> > > As far as I understand, the Eudyptula Challenge list has
> > > internal mechanisms to nominally review patches before some
> > > patch is submitted to lkml.
> > 
> > No it does not.
> 
> That's not quite what was described to me by someone behind the
> email address:
> "Little Penguin <[email-masked]>" back in August.
> 
> What I understood from that email was there is a qualifying
> formatting component to the challenge and then patches were to be
> sent to maintainers and lists.

Hm, I don't know then, but from what I have seen, the tasks that send
patches to the kernel are not pre-reviewed by anyone.  If they were, the
quality level of the patches we get here would have been much higher :)

> > > The main point is that patches shouldn't be applied without
> > > being submitted to a more widely read list.
> > 
> > I take the blame for any problems with Outreachy patches.
> 
> Are you going to change any procedure associated to these
> Outreachy patches?

2 bugs out of 900?  Nah, I think that's good odds.

Also, the outreachy patch process would overwhelm everyone else on the
list, it's really high volume during the application phase, I'd prefer
it to stick with the mentors that wish to help out with the process.  If
you and/or Dan, or anyone else wishes to help out with this, I would
really appreciate it.  But I don't think that forcing them to post to
the driverdevel list is a good idea.

thanks,

greg k-h